%global momorel 3
%global qtver 4.6.3
%global kdever 4.4.5
%global kdebaseworkspacerel 1m
%global kdebaserel 1m
%global kdedir /usr

Summary: A screensaver for Linux and UNIX that displays the planets of the Solar System
Name: solarsystem
Version: 0.2
Release: %{momorel}m%{?dist}
License: GPLv2
Group: Amusements/Graphics
URL: http://software.amiga-hardware.com/solarsystem.cgi
Source0: http://software.amiga-hardware.com/software/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: xscreensaver-base
BuildRequires: qt-devel >= %{qtver}
BuildRequires: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
# for macros.kde4
BuildRequires: cmake
BuildRequires: coreutils
BuildRequires: gnome-screensaver
BuildRequires: libGL-devel
BuildRequires: libGLU-devel
BuildRequires: libX11-devel
BuildRequires: pkgconfig

%description
A screensaver for Linux and UNIX that displays the planets of the Solar System
(inc Pluto). A random planet is chosen and rotated on screen against a
starfield background. As the planet orbits the sun, it transitions from light
into darkness and a corona effect appears.

%package gnome
Summary: The files for GNOME of solarsystem
Group: Amusements/Graphics
Requires: %{name} = %{version}-%{release}
Requires: gnome-screensaver

%description gnome
This package includes the files for GNOME of solarsystem.

%package kde
Summary: A file for KDE of solarsystem
Group: Amusements/Graphics
Requires: %{name} = %{version}-%{release}
Requires: kdebase-workspace >= %{kdever}-%{kdebaseworkspacerel}

%description kde
This package includes a file for KDE of solarsystem.

%prep
%setup -q

%patch0 -p1 -b .desktop-ja

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# correct symlink
rm -f %{buildroot}%{_libexecdir}/gnome-screensaver/%{name}
ln -s ../../bin/%{name} %{buildroot}%{_libexecdir}/gnome-screensaver/%{name}

# clean up for %%doc
rm -f doc/Makefile*
rm -rf %{buildroot}%{_docdir}/%{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc
%{_bindir}/%{name}
%{_datadir}/%{name}

%files gnome
%defattr(-, root, root)
%{_libexecdir}/gnome-screensaver/%{name}
%{_datadir}/applications/screensavers/%{name}.desktop

%files kde
%defattr(-, root, root)
%{_kde4_datadir}/kde4/services/ScreenSavers/%{name}.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2-3m)
- full rebuild for mo7 release

* Sun Jul 11 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-2m)
- replace Source0: from tar.gz to tar.bz2 and change URL:

* Sun Jul 11 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2-1m)
- initial package for space freaks using Momonga Linux
